Index: server/lib/gutenbach/ipp/operations.py
===================================================================
--- server/lib/gutenbach/ipp/operations.py	(revision ef8df33517ae78d621e3149fe0bdf958c1251aa3)
+++ server/lib/gutenbach/ipp/operations.py	(revision 59a1d4a4e964c4ac353e7c2063acd3ce01b86cd6)
@@ -21,5 +21,5 @@
         raise err.VersionNotSupported(str(request.version))
 
-    # check operation id
+    # XXX: check operation id
     if False:
         raise err.OperationNotSupported(str(request.operation_id))
@@ -31,4 +31,6 @@
             "Attribute group does not have OPERATION tag: 0x%x" % op_attrs.tag)
 
+    # XXX: if these aren't valid, then you HAVE to return something
+    # special.  See RFC 2911 3.1.6.1
     # # check compression
     # if False:
@@ -474,5 +476,4 @@
     return out
 
-
 def make_get_printer_attributes_response(attrs, request):
     """3.2.5.2 Get-Printer-Attributes Response
@@ -525,4 +526,5 @@
     return response
 
+### CUPS-GET-DEFAULT
 
 def verify_cups_get_default_request(request):
@@ -576,4 +578,6 @@
     make_printer_attributes(attrs, request, response)
     return response
+
+### CUPS-GET-PRINTERS
 
 def verify_cups_get_printers_request(request):
@@ -619,4 +623,5 @@
     """
 
+    # XXX: actually do something here
     return {}
 
@@ -648,4 +653,6 @@
         make_printer_attributes(printer, request, response)
     return response
+
+### CUPS-GET-CLASSES
 
 def verify_cups_get_classes_request(request):
@@ -692,4 +699,5 @@
     """
 
+    # XXX: actually do something here
     return {}
 
Index: server/lib/gutenbach/server/requests.py
===================================================================
--- server/lib/gutenbach/server/requests.py	(revision ef8df33517ae78d621e3149fe0bdf958c1251aa3)
+++ server/lib/gutenbach/server/requests.py	(revision 59a1d4a4e964c4ac353e7c2063acd3ce01b86cd6)
@@ -73,6 +73,9 @@
 
         """
-        
+
+        # verify the request and get an attribute dictionary
         req_dict = ipp.ops.verify_get_jobs_request(request)
+
+        # lookup printer name
         printer_name = req_dict['printer-uri']
         if printer_name not in self.printers:
@@ -81,7 +84,9 @@
                 [request.attribute_groups[0].attributes[2]])
 
-        # Each job will append a new job attribute group.
+        # get the job attributes
         jobs = [job.get_job_attributes(request) for job in \
                 self.printers[printer_name].get_jobs()]
+
+        # build the response
         response = ipp.ops.make_get_jobs_response(jobs, request)
         return response
@@ -143,7 +148,8 @@
         """
 
-        # this is just like cups_get_default, except the printer name
-        # is given
+        # verify the request and get the attributes dictionary
         req_dict = ipp.ops.verify_get_printer_attributes_request(request)
+
+        # lookup the printer name
         printer_name = req_dict['printer-uri']
         if printer_name not in self.printers:
@@ -151,5 +157,6 @@
                 "Invalid printer uri: %s" % printer_name,
                 [request.attribute_groups[0].attributes[2]])
-        
+
+        # bulid response
         response = ipp.ops.make_get_printer_attributes_response(
             self.printers[printer_name].get_printer_attributes(request), request)
@@ -171,14 +178,18 @@
 
     def get_job_attributes(self, request):
+        
+        # verify the request and get the attributes dictionary
         req_dict = ipp.ops.verify_get_jobs_request(request)
+        
+        # lookup the printer name
         printer_name = req_dict['printer-uri']
-        job_id = req_dict['job-id']
-        
         if printer_name not in self.printers:
             raise ipp.errors.Attributes(
                 "Invalid printer uri: %s" % printer_name,
                 [request.attribute_groups[0].attributes[2]])
-        try:
-            job = self.printers[printer_name].get_job(job_id)
+
+        # lookup the job id
+        job_id = req_dict['job-id']
+        try: job = self.printers[printer_name].get_job(job_id)
         except InvalidJobException:
             raise ipp.errors.Attributes(
@@ -186,6 +197,6 @@
                 [request.attribute_groups[0].attributes[2]]) # XXX: this is wrong
 
-        # Each job will append a new job attribute group.
         # XXX: we need to honor the things that the request actually asks for
+        # build the response
         response = ipp.ops.make_get_job_attributes_response(
             job.get_job_attributes(request), request)
@@ -215,5 +226,7 @@
         """
 
+        # verify the request and get the attributes dictionary
         req_dict = ipp.ops.verify_cups_get_default_request(request)
+        # build the response
         response = ipp.ops.make_get_printer_attributes_response(
             self.printers[self.default].get_printer_attributes(request), request)
@@ -231,7 +244,10 @@
         """
 
+        # verify the request and get the attributes dictionary
         req_dict = ipp.ops.verify_cups_get_printers_request(request)
+        # get the printer attributes
         attrs = [self.printers[printer].get_printer_attributes(request) \
                  for printer in self.printers]
+        # build the response
         response = ipp.ops.make_cups_get_printers_response(attrs, request)
         return response
@@ -248,5 +264,7 @@
         """
 
+        # verify the request and get the attributes dictionaryu
         req_dict = ipp.ops.verify_cups_get_classes_request(request)
+        # build the response
         response = ipp.ops.make_cups_get_classes_response(request)
         return response