Index: gutenbach-web/dispatch.fcgi.in
===================================================================
--- gutenbach-web/dispatch.fcgi.in	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/dispatch.fcgi.in	(revision 77aa4c80bb8e8665726824042e441cff9000d179)
@@ -19,5 +19,5 @@
 # Load the WSGI application from the config file
 from paste.deploy import loadapp
-wsgi_app = loadapp('config:' + turbogears + '/development.ini')
+wsgi_app = loadapp('config:' + turbogears + '/production.ini')
 
 # Deploy it using FastCGI
Index: gutenbach-web/production.ini
===================================================================
--- gutenbach-web/production.ini	(revision 77aa4c80bb8e8665726824042e441cff9000d179)
+++ gutenbach-web/production.ini	(revision 77aa4c80bb8e8665726824042e441cff9000d179)
@@ -0,0 +1,107 @@
+#
+# sipbmp3-web - Pylons development environment configuration
+#
+# The %(here)s variable will be replaced with the parent directory of this file
+#
+# This file is for deployment specific config options -- other configuration
+# that is always required for the app is done in the config directory, 
+# and generally should not be modified by end users. 
+
+[DEFAULT]
+debug = false
+# Uncomment and replace with the address which should receive any error reports
+#email_to = you@yourdomain.com
+smtp_server = localhost
+error_email_from = paste@localhost
+
+[server:main]
+use = egg:Paste#http
+host = 127.0.0.1 
+port = 8080
+
+[app:main]
+use = egg:sipbmp3-web
+full_stack = true
+#lang = ru
+cache_dir = %(here)s/data
+beaker.session.key = sipbmp3web
+beaker.session.secret = somesecret
+
+# If you'd like to fine-tune the individual locations of the cache data dirs
+# for the Cache data, or the Session saves, un-comment the desired settings
+# here:
+#beaker.cache.data_dir = %(here)s/data/cache
+#beaker.session.data_dir = %(here)s/data/sessions
+
+# pick the form for your database
+# %(here) may include a ':' character on Windows environments; this can
+# invalidate the URI when specifying a SQLite db via path name
+# sqlalchemy.url=postgres://username:password@hostname:port/databasename 
+# sqlalchemy.url=mysql://username:password@hostname:port/databasename
+
+
+# If you have sqlite, here's a simple default to get you started
+# in development
+
+sqlalchemy.url = sqlite:///%(here)s/devdata.db
+#echo shouldn't be used together with the logging module.
+sqlalchemy.echo = false
+sqlalchemy.echo_pool = false
+sqlalchemy.pool_recycle = 3600
+
+# WARNING: *THE LINE BELOW MUST BE UNCOMMENTED ON A PRODUCTION ENVIRONMENT*
+# Debug mode will enable the interactive debugging tool, allowing ANYONE to
+# execute malicious code after an exception is raised.
+#set debug = false
+
+# Logging configuration
+# Add additional loggers, handlers, formatters here
+# Uses python's logging config file format
+# http://docs.python.org/lib/logging-config-fileformat.html
+
+[loggers]
+keys = root, sipbmp3web, sqlalchemy, auth
+
+[handlers]
+keys = console
+
+[formatters]
+keys = generic
+
+# If you create additional loggers, add them as a key to [loggers]
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_sipbmp3web]
+level = DEBUG
+handlers =
+qualname = sipbmp3web
+
+[logger_sqlalchemy]
+level = INFO
+handlers =
+qualname = sqlalchemy.engine
+# "level = INFO" logs SQL queries.
+# "level = DEBUG" logs SQL queries and results.
+# "level = WARN" logs neither.  (Recommended for production systems.)
+
+
+# A logger for authentication, identification and authorization -- this is
+# repoze.who and repoze.what:
+[logger_auth]
+level = WARN
+handlers = 
+qualname = auth
+
+# If you create additional handlers, add them as a key to [handlers]
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+# If you create additional formatters, add them as a key to [formatters]
+[formatter_generic]
+format = %(asctime)s,%(msecs)03d %(levelname)-5.5s [%(name)s] %(message)s
+datefmt = %H:%M:%S