Index: gutenbach/debian/lib/gutenbach-filter
===================================================================
--- gutenbach/debian/lib/gutenbach-filter	(revision d988d9da64d9c121298fb6d7766171329575c899)
+++ gutenbach/debian/lib/gutenbach-filter	(revision 80bbeea82da5d16b18318fdbbb396ce8c1c011d9)
@@ -23,10 +23,12 @@
 use IPC::Open2;
 
-my $zephyr_class = "sipb-test";
+my $zephyr_class = `hostname`;
+chomp($zephyr_class);
 my $host = `hostname`;
+chomp($host);
 my $queue = "gutenbach";
 
 # Configuration
-my $config_file = "/usr/lib/gutenbach/gutenbach-filter-config.pl";
+my $config_file = "/usr/lib/gutenbach/config/gutenbach-filter-config.pl";
 if (-r $config_file) {
     # Inline the configuration file
@@ -93,17 +95,15 @@
 printf(STDERR Dumper(\%opts));
 
+print(STDERR '/usr/bin/zwrite -d -n -c '.$zephyr_class.' -i '.$queue.'@'.$host.' -s "Gutenbach Music Spooler"');
+
 # Status messages at start of playback
-open(ZEPHYR, '|/usr/athena/bin/zwrite -d -n -c '. $zephyr_class .' -i ' .
-  $queue.'@'.$host.' -s "SIPB LPR music spooler"');
+open(ZEPHYR, '|/usr/bin/zwrite -d -n -c '.$zephyr_class.' -i '.$queue.'@'.$host.' -s "Gutenbach Music Spooler"');
 
 # For the Now Playing remctl command
 open(STATUS, '>', '/var/run/gutenbach/status') or die("Can't open status file /var/run/gutenbach/status");
 
-# For the Now Playing local command
-open(CURRENT, '>', '/var/run/gutenbach/current') or die("Can't open status file /var/run/sipbp3/current");
 
 print(ZEPHYR "$opts{'n'}\@$opts{'H'} is playing:\n");
 print(STATUS "User: $opts{'n'}\@$opts{'H'}\n");
-print(CURRENT "$opts{'n'}\@$opts{'H'} is playing:\n");
 
 # SIGHUP handler
@@ -112,11 +112,7 @@
     open(STA, '>', '/var/run/gutenbach/status');
     close(STA);
-    open(ZEPH, '|/usr/athena/bin/zwrite -d -n -c '. $zephyr_class .' -i '.
-        $queue.'@'.$host.' -s "SIPB LPR music spooler"');
+    open(ZEPH, '|/usr/bin//zwrite -d -n -c '.$zephyr_class.' -i '.$queue.'@'.$host.' -s "Gutenbach Music Spooler"');
     print(ZEPH "Playback aborted.\n");
     close(ZEPH);
-    open(CURRENT, '|/usr/athena/bin/zwrite -d -n -c '. $zephyr_class .' -i '.
-        $queue.'@'.$host.' -s "SIPB LPR music spooler"');
-    close(CURRENT);
     die;
 }
@@ -132,10 +128,8 @@
 if ($magic) {
     printf(ZEPHYR "%s file %s\n", $magic, $opts{'J'});
-    printf(CURRENT "%s file %s\n", $magic, $opts{'J'});
     printf(STATUS "Filetype: %s\n", $magic);
     printf(STATUS "Filename: %s\n", $opts{'J'});
     if (exists $fileinfo->{'Title'}) {
         printf(ZEPHYR "\@b{%s}\n", $fileinfo->{'Title'}) if exists $fileinfo->{'Title'};
-        printf(CURRENT "\@b{%s}\n", $fileinfo->{'Title'}) if exists $fileinfo->{'Title'};
         printf(STATUS "Title: %s\n", $fileinfo->{'Title'});
     }
@@ -143,5 +137,4 @@
         if (exists $fileinfo->{$key}) {
             printf(ZEPHYR "%s\n", $fileinfo->{$key}) if exists $fileinfo->{$key};
-            printf(CURRENT "%s\n", $fileinfo->{$key}) if exists $fileinfo->{$key};
             printf(STATUS "%s: %s\n", $key, $fileinfo->{$key});
         }
@@ -160,5 +153,4 @@
 	$title = "";
         print ZEPHYR "YouTube video $filepath\n$title";
-        print CURRENT "YouTube video $filepath\n$title";
         print STATUS "YouTube video $filepath\n$title";
         $filepath = <$out>;
@@ -168,5 +160,4 @@
         print STDERR "Resolved external reference to $filepath\n";
         printf(ZEPHYR "%s\n", $filepath);
-        printf(CURRENT "%s\n", $filepath);
         printf(STATUS "External: %s\n", $filepath);
     }
@@ -175,5 +166,4 @@
     split_playlist($filepath, \%opts);
     close(ZEPHYR);
-    close(CURRENT);
     close(STATUS);
     exit 0;
@@ -183,5 +173,4 @@
 #printf(ZEPHYR "Job priority %s\n", $opts{'C'}) if ($opts{'C'} && ($opts{'C'} ne 'A'));
 close(ZEPHYR);
-close(CURRENT);
 close(STATUS);
 play_mplayer_audio($filepath, \%opts);
@@ -280,6 +269,5 @@
 
     # Prepare to write status:
-    open(ZEPHYR, '|/usr/athena/bin/zwrite -d -n -c '.$zephyr_class.' -i ' .
-	 $queue.'@'.$host.' -s "SIPB LPR music spooler"');
+    open(ZEPHYR, '|/usr/bin//zwrite -d -n -c '.$zephyr_class.' -i '.$queue.'\@'.$host.' -s "Gutenbach Music Spooler"');
     
     # fork for mpg123