Index: tenbach-web/authentication.html
===================================================================
--- gutenbach-web/authentication.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
-                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:py="http://genshi.edgewall.org/"
-      xmlns:xi="http://www.w3.org/2001/XInclude">
-
-  <xi:include href="master.html" />
-
-<head>
-  <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
-  <title>Learning TurboGears 2.0: Quick guide to authentication.</title>
-</head>
-
-<body>
-    ${sidebar_top()}
-    ${sidebar_bottom()}
-  <div id="getting_started">
-    <h2>Authentication &amp; Authorization in a TG2 site.</h2>
-    <p>If you have access to this page, this means you have enabled authentication and authorization
-    in the quickstart to create your project.</p>
-    <p>
-    The paster command will have created a few specific controllers for you. But before you
-    go to play with those controllers you'll need to make sure your application has been
-    properly bootstapped.
-    This is dead easy, here is how to do this:
-    </p>
-
-    <span class="code">
-    paster setup-app development.ini
-    </span>
-
-    <p>
-    inside your application's folder and you'll get a database setup (using the preferences you have
-    set in your development.ini file). This database will also have been prepopulated with some
-    default logins/passwords so that you can test the secured controllers and methods.
-    </p>
-    <p>
-    To change the comportement of this setup-app command you just need to edit the <span class="code">websetup.py</span> file.
-    </p>
-    <p>
-    Now try to visiting the <a href="${tg.url('/manage_permission_only')}">manage_permission_only</a> URL. You will be challenged with a login/password form.
-    </p>
-    <p>
-    Only managers are authorized to visit this method. You will need to log-in using:
-        <p>
-        <span class="code">
-        login: manager
-        </span>
-        </p>
-        <p>
-        <span class="code">
-        password: managepass
-        </span>
-        </p>
-    </p>
-    <p>
-    Another protected resource is <a href="${tg.url('/editor_user_only')}">editor_user_only</a>. This one is protected by a different set of permissions.
-    You will need to be <span class="code">editor</span> with a password of <span class="code">editpass</span> to be able to access it.
-    </p>
-    <p>
-    The last kind of protected resource in this quickstarted app is a full so called <a href="${tg.url('/secc')}">secure controller</a>. This controller is protected globally.
-    Instead of having a @require decorator on each method, we have set an allow_only attribute at the class level. All the methods in this controller will
-    require the same level of access. You need to be manager to access <a href="${tg.url('/secc')}">secc</a> or <a href="${tg.url('/secc/some_where')}">secc/some_where</a>.
-    </p>
-  </div>
-</body>
-</html>
Index: gutenbach-web/footer.html
===================================================================
--- gutenbach-web/footer.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/footer.html	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -5,10 +5,5 @@
 <div id="footer"> 
   <div class="flogo">
-    <img src="${tg.url('/images/under_the_hood_blue.png')}" alt="TurboGears" />
     <p><a href="http://www.turbogears.org/2.0/">Powered by TurboGears 2</a></p>
-  </div>
-  <div class="foottext">
-    <p>TurboGears is a open source front-to-back web development
-      framework written in Python. Copyright (c) 2005-2008 </p>
   </div>
   <div class="clearingdiv"></div>
Index: gutenbach-web/header.html
===================================================================
--- gutenbach-web/header.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/header.html	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -5,7 +5,7 @@
   <div id="header">
   	<h1>
-  		Welcome to TurboGears 2
-		<span class="subtitle">The Python web metaframework</span>
+  		sipbmp3 web
 	</h1>
+		<div class="subtitle">what's playing?</div>
   </div>
 </py:def>
Index: gutenbach-web/index.html
===================================================================
--- gutenbach-web/index.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/index.html	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -9,32 +9,13 @@
 <head>
   <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
-  <title>Welcome to TurboGears 2.0, standing on the 
-  shoulders of giants, since 2007</title>
+  <title>sipbmp3 web</title>
 </head>
 
 <body>
-    ${sidebar_top()}
-  <div id="getting_started">
-    <h2>Presentation</h2>
-    <p>TurboGears 2 is rapid web application development toolkit designed to make your life easier.</p>
-    <ol id="getting_started_steps">
-      <li class="getting_started">
-        <h3>Code your data model</h3>
-        <p> Design your data model, Create the database, and Add some bootstrap data.</p>
-      </li>
-      <li class="getting_started">
-        <h3>Design your URL architecture</h3>
-        <p> Decide your URLs, Program your controller methods, Design your 
-            templates, and place some static files (CSS and/or JavaScript). </p>
-      </li>
-      <li class="getting_started">
-        <h3>Distribute your app</h3>
-        <p> Test your source, Generate project documents, Build a distribution.</p>
-      </li>
-    </ol>
-  </div>
-  <div class="clearingdiv" />
-  <div class="notice"> Thank you for choosing TurboGears. 
-  </div>
+    <div id="status">
+        <h2>Status</h2>
+        <p>The volume is: $volume</p>
+    </div>
+    <div class="clearingdiv" />
 </body>
 </html>
Index: tenbach-web/login.html
===================================================================
--- gutenbach-web/login.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
-                    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml"
-    xmlns:py="http://genshi.edgewall.org/"
-    xmlns:xi="http://www.w3.org/2001/XInclude">
-
-<xi:include href="master.html" />
-
-<head>
-<meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
-<title>Login Form</title>
-</head>
-
-<body>
-<div id="loginform">
-<form action="${tg.url('/login_handler', came_from = came_from.encode('utf-8'), __logins = login_counter.encode('utf-8'))}" method="POST" class="loginfields">
-    <h2><span>Login</span></h2>
-    <label for="login">Username:</label><input type="text" id="login" name="login" class="text"></input><br/>
-    <label for="password">Password:</label><input type="password" id="password" name="password" class="text"></input>
-    <input type="submit" id="submit" value="Login" />
-</form>
-</div>
-</body>
-</html>
Index: gutenbach-web/master.html
===================================================================
--- gutenbach-web/master.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/master.html	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -6,5 +6,4 @@
       py:strip="">
     <xi:include href="header.html" />
-    <xi:include href="sidebars.html" />
     <xi:include href="footer.html" />
 <head py:match="head" py:attrs="select('@*')">
@@ -20,18 +19,7 @@
     <li class="first"><a href="${tg.url('/')}" class="${('', 'active')[defined('page') and page==page=='index']}">Welcome</a></li>
         <li><a href="${tg.url('/about')}" class="${('', 'active')[defined('page') and page==page=='about']}">About</a></li>
-        <li py:if="tg.auth_stack_enabled"><a href="${tg.url('/auth')}" class="${('', 'active')[defined('page') and page==page=='auth']}">Authentication</a></li>
         <li><a href="http://groups.google.com/group/turbogears">Contact</a></li>
-    <span py:if="tg.auth_stack_enabled" py:strip="True">
-        <li py:if="not request.identity" id="login" class="loginlogout"><a href="${tg.url('/login')}">Login</a></li>
-        <li py:if="request.identity" id="login" class="loginlogout"><a href="${tg.url('/logout_handler')}">Logout</a></li>
-        <li py:if="request.identity" id="admin" class="loginlogout"><a href="${tg.url('/admin')}">Admin</a></li>
-    </span>
   </ul>
   <div id="content">
-    <py:if test="defined('page')">
-    <div class="currentpage">
-     Now Viewing: <span py:replace="page"/>
-     </div>
-    </py:if>
     <py:with vars="flash=tg.flash_obj.render('flash', use_js=False)">
         <div py:if="flash" py:content="XML(flash)" />
Index: gutenbach-web/root.py
===================================================================
--- gutenbach-web/root.py	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/root.py	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -10,4 +10,5 @@
 from repoze.what import predicates
 from sipbmp3web.controllers.secure import SecureController
+from remctl import remctl
 
 class RootController(BaseController):
@@ -17,43 +18,10 @@
     @expose('sipbmp3web.templates.index')
     def index(self):
-        return dict(page='index')
+        out = dict()
+        out["volume"] = remctl("zsr", command=["v", "get"]).stdout
+        return out
 
     @expose('sipbmp3web.templates.about')
     def about(self):
-        return dict(page='about')
+        return dict()
 
-    @expose('sipbmp3web.templates.authentication')
-    def auth(self):
-        return dict(page='auth')
-
-    @expose('sipbmp3web.templates.index')
-    @require(predicates.has_permission('manage', msg=_('Only for managers')))
-    def manage_permission_only(self, **kw):
-        return dict(page='managers stuff')
-
-    @expose('sipbmp3web.templates.index')
-    @require(predicates.is_user('editor', msg=_('Only for the editor')))
-    def editor_user_only(self, **kw):
-        return dict(page='editor stuff')
-
-    @expose('sipbmp3web.templates.login')
-    def login(self, came_from=url('/')):
-        login_counter = request.environ['repoze.who.logins']
-        if login_counter > 0:
-            flash(_('Wrong credentials'), 'warning')
-        return dict(page='login', login_counter=str(login_counter),
-                    came_from=came_from)
-
-    @expose()
-    def post_login(self, came_from=url('/')):
-        if not request.identity:
-            login_counter = request.environ['repoze.who.logins'] + 1
-            redirect(url('/login', came_from=came_from, __logins=login_counter))
-        userid = request.identity['repoze.who.userid']
-        flash(_('Welcome back, %s!') % userid)
-        redirect(came_from)
-
-    @expose()
-    def post_logout(self, came_from=url('/')):
-        flash(_('We hope to see you soon!'))
-        redirect(came_from)
Index: gutenbach-web/sample.css
===================================================================
--- gutenbach-web/sample.css	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
+++ gutenbach-web/sample.css	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -0,0 +1,307 @@
+html {
+	background: #555555 url('../images/pagebg.png') top left repeat-x;
+	text-align: center;
+	margin: 0;
+	padding: 0;
+}
+
+body {
+	text-align: left;
+	width: 960px;
+	margin: 0 auto;
+	padding: 0;
+	font-size: 12px;
+	font-family:"Lucida Grande","Lucida Sans Unicode",geneva,verdana,sans-serif;
+}
+
+a {
+	color: #286571;
+}
+
+#header {
+	height: 132px;
+	margin: 10px 10px 0 10px;
+	background: url('../images/headerbg.png') top left no-repeat;
+}
+
+#header h1 {
+	padding: 0;
+	margin: 0;
+	padding-top: 30px;
+	padding-left: 180px;
+	color: #fff;
+	position: relative;
+	font-size: 36px;
+}
+
+#header h1 .subtitle {
+	font-size: 60%;
+	position: absolute;
+	left: 240px;
+	top: 70px;
+}
+
+ul#mainmenu {
+	margin: 0;
+	padding: 0 10px;
+	background: url('../images/menubg.png') top left no-repeat;
+	height: 38px;
+}
+
+ul#mainmenu li {
+	list-style-type: none;
+	margin: 0;
+	padding: 0;
+	position: relative;
+	display: inline;
+	float: left;
+}
+
+ul#mainmenu li a {
+	color: #fff;
+	float: left;
+	height: 31px;
+	display: block;
+	line-height: 30px;
+	vertical-align: middle;
+	padding: 0 10px;
+	font-size: 12px;
+	text-decoration: none;
+	background: url('../images/menu-item-border.png') left top no-repeat;
+}
+
+ul#mainmenu li a:hover, ul#mainmenu li a.active {
+	background: url('../images/menu-item-actibg.png') left top no-repeat;
+}
+
+ul#mainmenu li.first a {
+	background: none;
+}
+
+ul#mainmenu li.first a:hover, ul#mainmenu li.first a.active {
+	background: url('../images/menu-item-actibg-first.png') left top no-repeat;
+}
+
+ul#mainmenu li.loginlogout
+{
+    float: right;
+    right: 10px;
+}
+
+ul#mainmenu li.loginlogout a:hover
+{
+    background: url('../images/menu-item-border.png') left top no-repeat;
+}
+
+#content {
+	background: #fff url('../images/contentbg.png') left bottom no-repeat;
+	margin : 0 10px 10px 10px;
+	padding: 0 10px;
+}
+
+#content .currentpage {
+	margin-top: 0;
+}
+
+/* Login form*/
+
+#loginform
+{
+    text-align: center;
+}
+
+form.loginfields
+{
+    text-align: left;
+    width: 270px;
+    background: url('../images/loginbg.png') top left no-repeat;
+    padding: 0;
+    margin: 0 auto;
+    border: 0;
+}
+
+form.loginfields h2
+{
+    font-size: 16px;
+    float: left;
+    padding: 0;
+    margin: 5px;
+    margin-top: 0;
+    background: url('../images/loginheader-left.png') top left no-repeat;
+}
+
+* html form.loginfields h2
+{
+    margin-left: 3px;
+    width: 80px;
+    text-align: center;
+}
+
+form.loginfields h2 span
+{
+    background: url('../images/loginheader-right.png') right top no-repeat;
+    height: 30px;
+    line-height: 30px;
+    display: block;
+    font-size: 100%;
+    font-weight: normal;
+    color: #fff;
+    padding: 0 10px;
+}
+
+*+html form.loginfields h2 span
+{
+    padding: 0 20px;
+}
+
+form.loginfields label
+{
+    clear: left;
+    float: left;
+    margin-top: 5px;
+    margin-left: 10px;
+    width: 65px;
+    line-height: 31px;
+    vertical-align: middle;
+}
+
+form.loginfields input.text
+{
+    float: left;
+    margin-left: 10px;
+    margin-top: 5px;
+    width: 165px;
+    height: 21px;
+    padding: 5px;
+    border: 0;
+    background: url('../images/inputbg.png') top left no-repeat;
+    color: #fff;
+}
+
+form.loginfields input#submit
+{
+    background: url('../images/loginbottombg.png') bottom left no-repeat;
+    width: 270px;
+    height: 61px;
+    border: 0;
+    margin-top: 10px;
+    color: #fff;
+    padding: 10px 140px 20px 10px;
+}
+
+* html form.loginfields input#submit
+{
+    clear: both;
+    margin-left: -10px;
+}
+
+/* Sidebar */
+.sidebar {
+  border: 1px solid #cce;
+  background-color: #eee;
+  margin: 0.5em;
+  margin-left: 1.5em;
+  padding: 1em;
+  float: right;
+  width: 200px;
+  font-size: 88%;
+  background-color: #fffe1;
+  background-repeat:repeat-x;
+}
+
+.sidebar h2 {
+  margin-top: 0;
+  color: black;
+}
+
+.sidebar ul {
+  margin-left: 1.5em;
+  padding-left: 0;
+}
+
+
+
+#sb_top {
+  clear: right;
+}
+
+#sb_bottom {
+  clear: right;
+}
+
+#getting_started {
+  margin-left: 20px;
+}
+
+#getting_started_steps a {
+  text-decoration: none;
+}
+
+#getting_started_steps a:hover {
+  text-decoration: underline;
+}
+
+#getting_started_steps li {
+  margin-bottom: 0.5em;
+}
+
+/* Other and footer */
+#footer {
+	background: #fff;
+	padding: 10px;
+	color:#888888;
+	font-size:90%;
+}
+.flogo {
+	float:left;
+	margin-bottom:0px;
+	padding-left:20px;
+	padding-right:20px;
+	padding-top:0px;
+}
+.foottext p {
+	margin: 0; padding: 0;
+}
+.code {
+font-family:monospace;
+font-size:127%;
+}
+span.code {
+background:#EEEEEE none repeat scroll 0% 0%;
+font-weight:bold;
+}
+#flash {
+font-size:120%;
+font-weight:bolder;
+margin:0pt auto 0.5em;
+width:680px;
+}
+#flash div {
+padding:5px 15px 15px 55px;
+}
+#flash .ok {
+background:#EEEEFF url(../images/ok.png) no-repeat scroll left center;
+border:1px solid #CCCCEE;
+}
+#flash .warning {
+background:#FF9999 url(../images/error.png) no-repeat scroll left center;
+border:1px solid #FF3333;
+}
+#flash .alert {
+background:#FFFF99 url(../images/info.png) no-repeat scroll left center;
+border:1px solid #FFFF00;
+}
+.notice {
+background:#EEEEFF url(../images/info.png) no-repeat scroll left center;
+border:1px solid #CCCCEE;
+margin:0.5em auto;
+padding:15px 10px 15px 55px;
+width:680px;
+}
+.fielderror {
+color:red;
+font-weight:bold;
+}
+div.clearingdiv {
+clear:both;
+}
Index: tenbach-web/sidebars.html
===================================================================
--- gutenbach-web/sidebars.html	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<html xmlns:py="http://genshi.edgewall.org/"
-      xmlns:xi="http://www.w3.org/2001/XInclude"
-      py:strip="">
-
-<py:def function="sidebar_top">
-  <div id="sb_top" class="sidebar">
-      <h2>Get Started with TG2</h2>
-      <ul class="links">
-        <li py:choose="">
-          <span py:when="page=='index'"><a href="${tg.url('/about')}">About this page</a> A quick guide to this TG2 site </span>
-          <span py:otherwise=""><a href="${tg.url('/')}">Home</a> Back to your Quickstart Home page </span>
-        </li>
-        <li><a href="http://www.turbogears.org/2.0/docs/">TG2 Documents</a> - Read everything in the Getting Started section</li>
-        <li><a href="http://docs.turbogears.org/1.0">TG1 docs</a> (still useful, although a lot has changed for TG2) </li>
-        <li><a href="http://groups.google.com/group/turbogears"> Join the TG Mail List</a> for general TG use/topics  </li>
-      </ul>
-  </div>
-</py:def>    
-
-<py:def function="sidebar_bottom">
-  <div id="sb_bottom" class="sidebar">
-      <h2>Developing TG2</h2>
-      <ul class="links">
-        <li><a href="http://docs.turbogears.org/2.0/RoughDocs/">More TG2 Documents</a> in progress</li>
-        <li><a href="http://trac.turbogears.org/query?status=new&amp;status=assigned&amp;status=reopened&amp;group=type&amp;milestone=2.0&amp;order=priority">TG2 Trac tickets</a> What's happening now in TG2 development</li>
-        <li><a href="http://trac.turbogears.org/timeline">TG Dev timeline</a> (recent ticket updates, svn checkins, wiki changes)</li>
-        <li><a href="http://svn.turbogears.org/trunk">TG2 SVN repository</a> For checking out a copy</li>
-        <li><a href="http://turbogears.org/2.0/docs/main/Contributing.html#installing-the-development-version-of-turbogears-2-from-source">Follow these instructions</a> For installing your copy</li>
-        <li><a href="http://trac.turbogears.org/browser/trunk">TG2 Trac's svn view</a> In case you need a quick look</li>
-        <li><a href="http://groups.google.com/group/turbogears-trunk"> Join the TG-Trunk Mail List</a> for TG2 discuss/dev </li>
-      </ul>
-  </div>
-</py:def>    
-
-</html>
Index: gutenbach-web/style.css
===================================================================
--- gutenbach-web/style.css	(revision 973dd91e6f429c40bd3f2b6a1c1927d9a69c322c)
+++ gutenbach-web/style.css	(revision 84ed77390f3a9533b020f2882a9abbc0e383c9e2)
@@ -1,307 +1,1 @@
-html {
-	background: #555555 url('../images/pagebg.png') top left repeat-x;
-	text-align: center;
-	margin: 0;
-	padding: 0;
-}
 
-body {
-	text-align: left;
-	width: 960px;
-	margin: 0 auto;
-	padding: 0;
-	font-size: 12px;
-	font-family:"Lucida Grande","Lucida Sans Unicode",geneva,verdana,sans-serif;
-}
-
-a {
-	color: #286571;
-}
-
-#header {
-	height: 132px;
-	margin: 10px 10px 0 10px;
-	background: url('../images/headerbg.png') top left no-repeat;
-}
-
-#header h1 {
-	padding: 0;
-	margin: 0;
-	padding-top: 30px;
-	padding-left: 180px;
-	color: #fff;
-	position: relative;
-	font-size: 36px;
-}
-
-#header h1 .subtitle {
-	font-size: 60%;
-	position: absolute;
-	left: 240px;
-	top: 70px;
-}
-
-ul#mainmenu {
-	margin: 0;
-	padding: 0 10px;
-	background: url('../images/menubg.png') top left no-repeat;
-	height: 38px;
-}
-
-ul#mainmenu li {
-	list-style-type: none;
-	margin: 0;
-	padding: 0;
-	position: relative;
-	display: inline;
-	float: left;
-}
-
-ul#mainmenu li a {
-	color: #fff;
-	float: left;
-	height: 31px;
-	display: block;
-	line-height: 30px;
-	vertical-align: middle;
-	padding: 0 10px;
-	font-size: 12px;
-	text-decoration: none;
-	background: url('../images/menu-item-border.png') left top no-repeat;
-}
-
-ul#mainmenu li a:hover, ul#mainmenu li a.active {
-	background: url('../images/menu-item-actibg.png') left top no-repeat;
-}
-
-ul#mainmenu li.first a {
-	background: none;
-}
-
-ul#mainmenu li.first a:hover, ul#mainmenu li.first a.active {
-	background: url('../images/menu-item-actibg-first.png') left top no-repeat;
-}
-
-ul#mainmenu li.loginlogout
-{
-    float: right;
-    right: 10px;
-}
-
-ul#mainmenu li.loginlogout a:hover
-{
-    background: url('../images/menu-item-border.png') left top no-repeat;
-}
-
-#content {
-	background: #fff url('../images/contentbg.png') left bottom no-repeat;
-	margin : 0 10px 10px 10px;
-	padding: 0 10px;
-}
-
-#content .currentpage {
-	margin-top: 0;
-}
-
-/* Login form*/
-
-#loginform
-{
-    text-align: center;
-}
-
-form.loginfields
-{
-    text-align: left;
-    width: 270px;
-    background: url('../images/loginbg.png') top left no-repeat;
-    padding: 0;
-    margin: 0 auto;
-    border: 0;
-}
-
-form.loginfields h2
-{
-    font-size: 16px;
-    float: left;
-    padding: 0;
-    margin: 5px;
-    margin-top: 0;
-    background: url('../images/loginheader-left.png') top left no-repeat;
-}
-
-* html form.loginfields h2
-{
-    margin-left: 3px;
-    width: 80px;
-    text-align: center;
-}
-
-form.loginfields h2 span
-{
-    background: url('../images/loginheader-right.png') right top no-repeat;
-    height: 30px;
-    line-height: 30px;
-    display: block;
-    font-size: 100%;
-    font-weight: normal;
-    color: #fff;
-    padding: 0 10px;
-}
-
-*+html form.loginfields h2 span
-{
-    padding: 0 20px;
-}
-
-form.loginfields label
-{
-    clear: left;
-    float: left;
-    margin-top: 5px;
-    margin-left: 10px;
-    width: 65px;
-    line-height: 31px;
-    vertical-align: middle;
-}
-
-form.loginfields input.text
-{
-    float: left;
-    margin-left: 10px;
-    margin-top: 5px;
-    width: 165px;
-    height: 21px;
-    padding: 5px;
-    border: 0;
-    background: url('../images/inputbg.png') top left no-repeat;
-    color: #fff;
-}
-
-form.loginfields input#submit
-{
-    background: url('../images/loginbottombg.png') bottom left no-repeat;
-    width: 270px;
-    height: 61px;
-    border: 0;
-    margin-top: 10px;
-    color: #fff;
-    padding: 10px 140px 20px 10px;
-}
-
-* html form.loginfields input#submit
-{
-    clear: both;
-    margin-left: -10px;
-}
-
-/* Sidebar */
-.sidebar {
-  border: 1px solid #cce;
-  background-color: #eee;
-  margin: 0.5em;
-  margin-left: 1.5em;
-  padding: 1em;
-  float: right;
-  width: 200px;
-  font-size: 88%;
-  background-color: #fffe1;
-  background-repeat:repeat-x;
-}
-
-.sidebar h2 {
-  margin-top: 0;
-  color: black;
-}
-
-.sidebar ul {
-  margin-left: 1.5em;
-  padding-left: 0;
-}
-
-
-
-#sb_top {
-  clear: right;
-}
-
-#sb_bottom {
-  clear: right;
-}
-
-#getting_started {
-  margin-left: 20px;
-}
-
-#getting_started_steps a {
-  text-decoration: none;
-}
-
-#getting_started_steps a:hover {
-  text-decoration: underline;
-}
-
-#getting_started_steps li {
-  margin-bottom: 0.5em;
-}
-
-/* Other and footer */
-#footer {
-	background: #fff;
-	padding: 10px;
-	color:#888888;
-	font-size:90%;
-}
-.flogo {
-	float:left;
-	margin-bottom:0px;
-	padding-left:20px;
-	padding-right:20px;
-	padding-top:0px;
-}
-.foottext p {
-	margin: 0; padding: 0;
-}
-.code {
-font-family:monospace;
-font-size:127%;
-}
-span.code {
-background:#EEEEEE none repeat scroll 0% 0%;
-font-weight:bold;
-}
-#flash {
-font-size:120%;
-font-weight:bolder;
-margin:0pt auto 0.5em;
-width:680px;
-}
-#flash div {
-padding:5px 15px 15px 55px;
-}
-#flash .ok {
-background:#EEEEFF url(../images/ok.png) no-repeat scroll left center;
-border:1px solid #CCCCEE;
-}
-#flash .warning {
-background:#FF9999 url(../images/error.png) no-repeat scroll left center;
-border:1px solid #FF3333;
-}
-#flash .alert {
-background:#FFFF99 url(../images/info.png) no-repeat scroll left center;
-border:1px solid #FFFF00;
-}
-.notice {
-background:#EEEEFF url(../images/info.png) no-repeat scroll left center;
-border:1px solid #CCCCEE;
-margin:0.5em auto;
-padding:15px 10px 15px 55px;
-width:680px;
-}
-.fielderror {
-color:red;
-font-weight:bold;
-}
-div.clearingdiv {
-clear:both;
-}